<?php if (!defined('RESTRICTED')) { include ('./../../templates/error/404.php'); } else { ?>

<?php

if (isset($_GET['id'])) {
	$ID = clean($_GET['id']);
} else {
	$ID = clean("");
}

if (validateResourceAccess($inputToken)) {

	$data = array('comment_status' => '1');	
	$update = update('tbl_comments', $data, "WHERE comment_id = '$ID'");
	if ($update > 0) {
		$_SESSION['msg'] = 'Comment approved...';
		header( "Location:comment.php");
		exit;
	}

} else {
	systemUpdateFlag($invalidResponse);
}

?>

<?php } ?>